(function($, Drupal) {

    Drupal.Brainfood = Drupal.Brainfood || {};

    Drupal.behaviors.ActionsBrainfood = {
        attach: function(context, settings) {
            Drupal.Brainfood.setInputPlaceHolder("name","Your name","#edit-name");
            $("#search-block-form .form-type-search input").attr("placeholder", "Enter keywords"); 
            $(".search-form .form-type-search input").attr("placeholder", "Enter keywords"); 
            // Drupal.Brainfood.exposeRecomend();
            Drupal.Brainfood.userForm();
            Drupal.Brainfood.placeHolder();
            Drupal.Brainfood.quantity();
            Drupal.Brainfood.toggleMenu();
            Drupal.Brainfood.searchForm();
            Drupal.Brainfood.formContact();
            Drupal.Brainfood.formSimplenews();
            Drupal.Brainfood.formUser();
            Drupal.Brainfood.viewProfile();
            Drupal.Brainfood.subjectComment();
            Drupal.Brainfood.customExposeFilter();
            Drupal.Brainfood.backToTop();
            Drupal.Brainfood.validatePhonenumber();
            Drupal.Brainfood.cartContinue();
            Drupal.Brainfood.customLinkRtl2();              
        }
    };

    Drupal.Brainfood.userForm = function() {
        $("#user-login-form #edit-name").attr("placeholder", "Username");            
        $("#user-login-form #edit-pass").attr("placeholder", "Password");
        $("#user-register-form #edit-mail").attr("placeholder", "Email");             
        $("#user-register-form #edit-name").attr("placeholder", "Username");                     
        $("#user-register-form #edit-pass-pass1").attr("placeholder", "Password");                     
        $("#user-register-form #edit-pass-pass2").attr("placeholder", "Confirm password");                     
        $("#user-register-form #edit-submit").val("Join");                                                         
        $("#user-pass #edit-name").attr("placeholder", "Email");
        $("#user-pass #edit-submit").val("Send reset password instructions");
        $("#edit-mail-0-value").attr("placeholder", "Enter your email here");
        if($('html').attr('dir')=='rtl') {
          $('#user-register-form #edit-actions').append('<p>Already have an account? <a href="'+ drupalSettings.path.baseUrl +'ar/user/login">Log In.</a></p>');
          $('#user-login-form #edit-actions').append('<p>Dont have an account? <a href="'+ drupalSettings.path.baseUrl +'ar/user/register">Sign Up</a> for free.</p>');
          $('<div class="forgot"><a href="'+ drupalSettings.path.baseUrl +'ar/user/password">Forgot?</a></div>').insertAfter('#user-login-form #edit-pass--description');
          $('<p>By joining, you agree to the <a href="'+ drupalSettings.path.baseUrl +'ar/terms">Terms</a> and <a href="'+ drupalSettings.path.baseUrl +'ar/policy">Privacy Policy</a>.</p>').insertBefore('#user-register-form #edit-actions');
        }
        else{
          $('#user-login-form #edit-actions').append('<p>Dont have an account? <a href="'+ drupalSettings.path.baseUrl +'user/register">Sign Up</a> for free.</p>');
          $('#user-register-form #edit-actions').append('<p>Already have an account? <a href="'+ drupalSettings.path.baseUrl +'user/login">Log In.</a></p>');
          $('<div class="forgot"><a href="'+ drupalSettings.path.baseUrl +'user/password">Forgot?</a></div>').insertAfter('#user-login-form #edit-pass--description');
          $('<p>By joining, you agree to the <a href="'+ drupalSettings.path.baseUrl +'terms">Terms</a> and <a href="'+ drupalSettings.path.baseUrl +'policy">Privacy Policy</a>.</p>').insertBefore('#user-register-form #edit-actions');
        }
    }

    Drupal.Brainfood.placeHolder = function() { 
      $("#contact-message-feedback-form #edit-name").attr("placeholder", "Name"); 
      $("#contact-message-feedback-form #edit-mail").attr("placeholder", "Email");
      $("#contact-message-feedback-form .form-textarea").attr("placeholder", "Detail");                  
      $("#contact-message-feedback-form #edit-submit").val("send");
      $("#comment-form .form-textarea").attr("placeholder", "Write your review"); 
    }

    Drupal.Brainfood.setInputPlaceHolder = function(name, text, selector) {
      selector = selector == undefined ? '' : selector + ' ';

      if ($.support.placeholder) {
        $(selector + 'input[name="' + name + '"]').attr('placeholder', Drupal.t(text));
      }
      else {
        $(selector + 'input[name="' + name + '"]').val(Drupal.t(text));
        $(selector + 'input[name="' + name + '"]').focus(function(){
          if(this.value == Drupal.t(text)) {
            this.value='';
          }
        }).blur(function(){
          if(this.value == '') {
            this.value=Drupal.t(text);
          }
        });
      }
    }

    Drupal.Brainfood.exposeRecomend = function(){
      if(!$('.page-node-type-product').length){
        var $expose_value = $('.node--type-product .field--name-field-genre .field__item a').val();
        $('.views-exposed-form .js-form-item-field-genre-target-id select').val($expose_value);
        $('.views-exposed-form #edit-submit-list-products').trigger("click");
      }
    }

    Drupal.Brainfood.quantity = function(){
    if(!$('.quantity-nav').length) {
      jQuery('<div class="quantity-nav"><div class="quantity-button quantity-up">+</div><div class="quantity-button quantity-down">-</div></div>').insertAfter('.form-type-uc-quantity input');
      jQuery('.form-type-uc-quantity').each(function() {
        var spinner = jQuery(this),
          input = spinner.find('input[type="number"]'),
          btnUp = spinner.find('.quantity-up'),
          btnDown = spinner.find('.quantity-down'),
          min = input.attr('min'),
          max = input.attr('max');

        btnUp.click(function() {
          var oldValue = parseFloat(input.val());
          if (oldValue >= max) {
            var newVal = oldValue;
          } else {
            var newVal = oldValue + 1;
          }
          spinner.find("input").val(newVal);
          spinner.find("input").trigger("change");
        });

        btnDown.click(function() {
          var oldValue = parseFloat(input.val());
          if (oldValue <= min) {
            var newVal = oldValue;
          } else {
            var newVal = oldValue - 1;
          }
          spinner.find("input").val(newVal);
          spinner.find("input").trigger("change");
        });

      });
    }
  };

  Drupal.Brainfood.toggleMenu = function(){
    $("#menu-toggle").click(function(){
      $("#block-brainfood-main-menu").addClass('open');
      $("body").addClass('scrollbody');
    });
    $('.close-menu').click(function() {
      $("#block-brainfood-main-menu").removeClass('open');
      $("body").removeClass('scrollbody');
    });
    $(document).click(function(){
      $("#block-brainfood-main-menu").removeClass('open');
      $("body").removeClass('scrollbody');
      $('.search-block-form').removeClass('hover');
    });
    $("#menu-toggle").click(function(e){
      e.stopPropagation();
      if($('.search-block-form').hasClass('hover')) {
        $('.search-block-form').removeClass('hover');
      }
    });
  };

  Drupal.Brainfood.searchForm = function(){
    if(!$(".search-block-form .search-icon").length) {
      $('<span class="search-icon"> </span>').insertBefore(".search-block-form #search-block-form");
    }
    $(".search-block-form .search-icon").click(function() {
      if($('.search-block-form').hasClass('hover')) {
        $('.search-block-form').removeClass('hover');
      }
      else {
        $('.search-block-form').addClass('hover');
      }
    });
    $(document).click(function(){
      $(".search-block-form").removeClass('hover');
    });
    $(".search-block-form .search-icon").click(function(e){
      e.stopPropagation();
    });
    $(".search-block-form input").click(function(e){
      e.stopPropagation();
    });
  };

  Drupal.Brainfood.formContact = function(){
    if(!$(".contact-form .title-form").length) {
      $(".contact-form").prepend('<h3 class="title-form">Anything, anytime!</h3>');
    }  
    $('.contact-form #edit-submit').mouseenter(function() {
      $('.contact-form').addClass('hover');
    });
    $('.contact-form #edit-submit').mouseleave(function() {
      $('.contact-form').removeClass('hover');
    });
  };

  Drupal.Brainfood.formUser= function(){
    if(!$(".user-logged-in .user-form .title-form").length) {
      $(".user-logged-in .user-form").prepend('<h3 class="title-form">Edit Profile</h3>');
    }
    $(".user-logged-in .user-form #edit-submit").text("update account"); 
  };

  Drupal.Brainfood.viewProfile= function(){
    if(!$(".path-user .profile .title-form").length) {
      $(".path-user .profile").prepend('<h3 class="title-form">View Profile</h3>');
    }
  };

  Drupal.Brainfood.subjectComment= function(){
    $('.comment-form .fivestar-widget .star').click(function () {
      $('.comment-form .field--name-subject').css('display','block');
    });
    $('.comment-form .form-textarea').click(function () {
      $(this).attr('rows','6').addClass('click-textarea');
    });
    $('.path-comment .comment-form .form-textarea').attr('rows','6');

    if ($('body').hasClass('page-node-type-product')) {
      // $('.comment-comment-form #edit-actions--3 .form-submit').val("Comment");
      // $('.comment-comment-form #edit-actions--2 .form-submit').val("Comment");
      if (!$('.btn-cancel-comment').hasClass('show')) {
        $('<a class="btn-cancel-comment">Cancel</a>').prependTo('.comment-comment-form #edit-actions--3');
        $('<a class="btn-cancel-comment">Cancel</a>').prependTo('.comment-comment-form #edit-actions--2');
        $('.btn-cancel-comment').addClass('show');
      }

      $('.btn-cancel-comment').on('click', function() {
        $('.comment-form .form-textarea').attr('rows','1').removeClass('click-textarea');
        $('.comment-form .field--name-subject').css('display','none');
      })

      $('#edit-field-rating-wrapper .fivestar-widget .star').on('click', function() {
        var valueStar = $(this).find('a').attr('href');
        var value = valueStar.substring(1, valueStar.length);
        if (!$(this).parent().hasClass('active')) {
          $(this).parent().addClass('star-' + value);
          $(this).parent().addClass('active');
        }
        else {
          $('#edit-field-rating-wrapper .fivestar-widget').removeClass('star-20'); 
          $('#edit-field-rating-wrapper .fivestar-widget').removeClass('star-40'); 
          $('#edit-field-rating-wrapper .fivestar-widget').removeClass('star-60'); 
          $('#edit-field-rating-wrapper .fivestar-widget').removeClass('star-80'); 
          $('#edit-field-rating-wrapper .fivestar-widget').removeClass('star-100'); 
          $(this).parent().addClass('star-' + value);
        }
      })
    }
  };

  Drupal.Brainfood.formSimplenews = function(){
    if(!$(".block-system-main-block .simplenews-subscriber-form .title-form").length) {
      $(".block-system-main-block .simplenews-subscriber-form").prepend('<h3 class="title-form">Email settings</h3><div>Send me emails related to:</div>');
    }
    $(".block-system-main-block .simplenews-subscriber-form #edit-update").val("update email settings");  
  };

  Drupal.Brainfood.customExposeFilter = function(){
    $(window).on('load', function() {
      if(!$(".group-form-item").length) {
       $('<div class="group-form-item"><label>Sort By:</label></div>').insertBefore('.views-exposed-form form .form-actions');
       $(".group-form-item").addClass("group-form-item-display");
       $(".form-item-field-genre-target-id-1").appendTo(".group-form-item");
       $(".form-item-field-textbooks-target-id").appendTo(".group-form-item");
       $(".form-item-sort-bef-combine").appendTo(".group-form-item");
      } 
    });
  };

  

  Drupal.Brainfood.customLinkRtl2 = function(){
    if (!$('.view-user-menu-details .user-view-info-block-link').hasClass('geturl2')) {
      $('.view-user-menu-details .user-view-info-block-link').addClass('geturl2');
      $('.view-user-menu-details .user-view-info-block-link li').each(function(){
        var url = $(this).find('a').attr('href');
        var customurl = url.slice(1);
        if($('html').attr('dir')=='rtl'){
          $(this).find('a').attr('href',drupalSettings.path.baseUrl+'ar/'+customurl);
        }
        else{
          $(this).find('a').attr('href',drupalSettings.path.baseUrl+customurl);
        }
      });
    }
    if (!$(".path-user [id^='block-title'] .breadcrumb").hasClass('geturl2')) {
      $(".path-user [id^='block-title'] .breadcrumb").addClass('geturl2');
      $(".path-user [id^='block-title'] .breadcrumb ol li").each(function(){
        var url = $(this).find('a').attr('href');
        var customurl = url.slice(1);
        if($('html').attr('dir')=='rtl'){
          $(this).find('a').attr('href',drupalSettings.path.baseUrl+'ar/'+customurl);
        }
        else{
          $(this).find('a').attr('href',drupalSettings.path.baseUrl+customurl);
        }
      });
    }
    if (!$("[id^='block-contactus'] .field--name-body").hasClass('geturl2')) {
      $("[id^='block-contactus'] .field--name-body").addClass('geturl2');
      var url = $("[id^='block-contactus'] .field--name-body a").attr('href');
      var customurl = url.slice(1);
      if($('html').attr('dir')=='rtl'){
        $("[id^='block-contactus'] .field--name-body a").attr('href',drupalSettings.path.baseUrl+'ar/'+customurl);
      }
      else{
        $("[id^='block-contactus'] .field--name-body a").attr('href',drupalSettings.path.baseUrl+customurl);
      }
    }
  };


  Drupal.Brainfood.backToTop = function () {
    $(window).on('load', function() {
      if($(this).scrollTop()){
        $('.btn-btt').fadeIn();
      }
      else{
        $('.btn-btt').fadeOut();
      }
    });
    $(window).scroll(function () {
      if($(this).scrollTop()){
        $('.btn-btt').fadeIn();
      }
      else{
        $('.btn-btt').fadeOut();
      }
    });

    $('.btn-btt').click(function () {
      $('html, body').animate({scrollTop : 0}, 700);
      return false;
    });
    $('.btn-btt').mouseenter(function () {
      $(this).css('color','#ffffff')
      $('.back-to-top').css('background','#ffc62a');
    });
    $('.btn-btt').mouseleave(function () {
      $('.back-to-top').css('background','#000000');
    });
    $(window).scroll(function () {
      $('.back-to-top').css('background','#000000');
      $('.btn-btt').css('color','#ffc62a');
    });
  };

  Drupal.Brainfood.validatePhonenumber = function () {
    $('.contact-form .form-type-tel input').attr('type', 'number');
  };

  Drupal.Brainfood.cartContinue = function () {
    if($('html').attr('dir')=='rtl') {
      if (!$(".uc-cart-view-form").hasClass('continue')) {
        $(".uc-cart-view-form").addClass('continue');
        $('.uc-cart-view-form input[id="edit-continue-shopping"]').css('display','none');
        $('<a class="continue-shopping" href="'+ drupalSettings.path.baseUrl +'ar/books">Continue shopping</a>').insertAfter('.uc-cart-view-form input[id="edit-continue-shopping"]');
      }
    }
  };

  $(document).ready(function() {
    $(".availability-out-of-stock input").attr('disabled','disabled').css('cursor','not-allowed');
    $(".comment .content-top h3 a").removeAttr('href');
    $('#change-skin').once('load').on('click', function(){
      $('#change-skin i').toggleClass('fa-spin');
      $('#change_skin_menu_wrapper').toggleClass('fly-out');
    });
  });
})(jQuery, Drupal);
